{{- $data := (dict "root" . "app" "nginx") }}
{{- $svc := .Values.nginx }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $data.app }}
  labels:
    {{- include "helm-example.labels" $data | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "helm-example.selectorLabels" $data | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "helm-example.selectorLabels" $data | nindent 8 }}
    spec:
      serviceAccountName: {{ include "helm-example.serviceAccountName" . }}
      containers:
        - name: {{ $data.app }}
          image: {{ include "helm-example.imageRepo" $image -}}:{{- include "helm-example.imageTag" $image }}
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          {{- range $key, $value :=  $svc.env }}
            - name: {{ $key }}
              value: {{ tpl $value $data.root | quote }}
          {{- end }}
          resources:
            {{- toYaml .Values.resources | nindent 12 }}